Runtime

## org.eclipse.gmf.runtime.notation.stylepooling
Class AbstractStyleImmutable

    java.lang.Object
      org.eclipse.gmf.runtime.notation.stylepooling.AbstractStyleImmutable

Direct Known Subclasses:
  FontStyleImplImmutable

    public abstract class AbstractStyleImmutable

extends java.lang.Object

Base class for StyleImmutables used with style pooling.

Constructor Summary
`AbstractStyleImmutable()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractStyleImmutable

    public AbstractStyleImmutable()

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.